[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# logicalnot(variant):variant

Implement logical/binary not operation on variants

## Declaration

Source position: varianth.inc line 356

`operator operator not(`
`const op: variant`
`):variant;`

## Description

The implementation of the not operation is delegated to the variant manager with operation opnot.

## Errors

Execution of this operator may result in an exception if no variant manager is installed or if the types of the operand are not suitable for the operation.

## See also

operator and(variant, variant): variant |  | Implement logical/binary and operation on variants
operator or(variant, variant): variant |  | Implement logical/binary or operation on variants
operator xor(variant, variant): variant |  | Implement logical/binary xor operation on variants